import 'package:nui_core/data/nui_ent.dart';
import 'package:nui_core/nui_core.dart';

abstract class NUIDBEntity<T> extends NUIEnt<T>{

  Map<String, dynamic> toDBMapQuery(){
    return toMapQuery(customMapper: {
      NUIEntType.BOOLEAN: (value){
        if(value is String) {
          return match(value, "true") ? 1 : 0;
        }
        if(value is bool){
          return value ? 1 : 0;
        }
        return value;
      }
    });
  }

}

