import 'package:nui_database/models/nui_database_entity_mapper.dart';

typedef DBExecuteCallback = void Function(bool success, String message);
typedef DBQueryCallback<T> = void Function(List<T> results, bool success, String message);
typedef DBReadyCallback = void Function(bool success, String message);
typedef DBFieldSetter<T> = Object Function(T data, dynamic value);
typedef DBFieldGetter<T> = dynamic Function(T data);
typedef DBEntityGetter<T> = NUIDBEntityMapper<T> Function();
